package gunav2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class tracker_subs_0 {


public static RemoteObject  _createlocationrequest() throws Exception{
try {
		Debug.PushSubsStack("CreateLocationRequest (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,430);
if (RapidSub.canDelegate("createlocationrequest")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","createlocationrequest");}
RemoteObject _lr = RemoteObject.declareNull("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");
 BA.debugLineNum = 430;BA.debugLine="Private Sub CreateLocationRequest As LocationReque";
Debug.ShouldStop(8192);
 BA.debugLineNum = 431;BA.debugLine="Log(\"CreateLocationRequest\")";
Debug.ShouldStop(16384);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072351745",RemoteObject.createImmutable("CreateLocationRequest"),0);
 BA.debugLineNum = 432;BA.debugLine="Dim lr As LocationRequest";
Debug.ShouldStop(32768);
_lr = RemoteObject.createNew ("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");Debug.locals.put("lr", _lr);
 BA.debugLineNum = 433;BA.debugLine="lr.Initialize";
Debug.ShouldStop(65536);
_lr.runVoidMethod ("Initialize");
 BA.debugLineNum = 434;BA.debugLine="lr.SetInterval(2000) 'Intervalo deseado para actu";
Debug.ShouldStop(131072);
_lr.runVoidMethod ("SetInterval",(Object)(BA.numberCast(long.class, 2000)));
 BA.debugLineNum = 435;BA.debugLine="lr.SetFastestInterval(lr.GetInterval / 2) 'Interv";
Debug.ShouldStop(262144);
_lr.runVoidMethod ("SetFastestInterval",(Object)(BA.numberCast(long.class, RemoteObject.solve(new RemoteObject[] {_lr.runMethod(true,"GetInterval"),RemoteObject.createImmutable(2)}, "/",0, 0))));
 BA.debugLineNum = 436;BA.debugLine="lr.SetSmallestDisplacement(15) 'Solo registra cam";
Debug.ShouldStop(524288);
_lr.runVoidMethod ("SetSmallestDisplacement",(Object)(BA.numberCast(float.class, 15)));
 BA.debugLineNum = 437;BA.debugLine="lr.SetPriority(lr.Priority.PRIORITY_HIGH_ACCURACY";
Debug.ShouldStop(1048576);
_lr.runVoidMethod ("SetPriority",(Object)(_lr.getField(false,"Priority").getField(true,"PRIORITY_HIGH_ACCURACY")));
 BA.debugLineNum = 438;BA.debugLine="actualLR=lr";
Debug.ShouldStop(2097152);
tracker._actuallr = _lr;
 BA.debugLineNum = 439;BA.debugLine="Return lr";
Debug.ShouldStop(4194304);
if (true) return _lr;
 BA.debugLineNum = 440;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _createlocationrequest2() throws Exception{
try {
		Debug.PushSubsStack("CreateLocationRequest2 (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,455);
if (RapidSub.canDelegate("createlocationrequest2")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","createlocationrequest2");}
RemoteObject _logger = RemoteObject.createImmutable(false);
RemoteObject _lr = RemoteObject.declareNull("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");
 BA.debugLineNum = 455;BA.debugLine="Private Sub CreateLocationRequest2 As LocationRequ";
Debug.ShouldStop(64);
 BA.debugLineNum = 456;BA.debugLine="Private logger As Boolean = True";
Debug.ShouldStop(128);
_logger = tracker.mostCurrent.__c.getField(true,"True");Debug.locals.put("logger", _logger);Debug.locals.put("logger", _logger);
 BA.debugLineNum = 457;BA.debugLine="If logger Then Log(\"Iniciamos CreateLocationReque";
Debug.ShouldStop(256);
if (_logger.<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072482818",RemoteObject.createImmutable("Iniciamos CreateLocationRequest2"),0);};
 BA.debugLineNum = 458;BA.debugLine="Dim lr As LocationRequest";
Debug.ShouldStop(512);
_lr = RemoteObject.createNew ("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");Debug.locals.put("lr", _lr);
 BA.debugLineNum = 459;BA.debugLine="lr.Initialize";
Debug.ShouldStop(1024);
_lr.runVoidMethod ("Initialize");
 BA.debugLineNum = 460;BA.debugLine="lr.SetInterval(1000) 'Intervalo deseado para actu";
Debug.ShouldStop(2048);
_lr.runVoidMethod ("SetInterval",(Object)(BA.numberCast(long.class, 1000)));
 BA.debugLineNum = 461;BA.debugLine="lr.SetFastestInterval(lr.GetInterval / 2) 'Interv";
Debug.ShouldStop(4096);
_lr.runVoidMethod ("SetFastestInterval",(Object)(BA.numberCast(long.class, RemoteObject.solve(new RemoteObject[] {_lr.runMethod(true,"GetInterval"),RemoteObject.createImmutable(2)}, "/",0, 0))));
 BA.debugLineNum = 462;BA.debugLine="lr.setNumUpdates(2) 'Solicitamos solo x actualiza";
Debug.ShouldStop(8192);
_lr.runVoidMethod ("SetNumUpdates",(Object)(BA.numberCast(int.class, 2)));
 BA.debugLineNum = 463;BA.debugLine="lr.SetSmallestDisplacement(1) 'Solo registra camb";
Debug.ShouldStop(16384);
_lr.runVoidMethod ("SetSmallestDisplacement",(Object)(BA.numberCast(float.class, 1)));
 BA.debugLineNum = 464;BA.debugLine="lr.SetPriority(lr.Priority.PRIORITY_HIGH_ACCURACY";
Debug.ShouldStop(32768);
_lr.runVoidMethod ("SetPriority",(Object)(_lr.getField(false,"Priority").getField(true,"PRIORITY_HIGH_ACCURACY")));
 BA.debugLineNum = 465;BA.debugLine="actualLR=lr";
Debug.ShouldStop(65536);
tracker._actuallr = _lr;
 BA.debugLineNum = 466;BA.debugLine="Return lr";
Debug.ShouldStop(131072);
if (true) return _lr;
 BA.debugLineNum = 467;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _createlocationrequestsmalld() throws Exception{
try {
		Debug.PushSubsStack("CreateLocationRequestSmallD (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,442);
if (RapidSub.canDelegate("createlocationrequestsmalld")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","createlocationrequestsmalld");}
RemoteObject _lr = RemoteObject.declareNull("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");
 BA.debugLineNum = 442;BA.debugLine="Private Sub CreateLocationRequestSmallD As Locatio";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 443;BA.debugLine="Log(\"Iniciamos CreateLocationRequestSmallD\")";
Debug.ShouldStop(67108864);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072417281",RemoteObject.createImmutable("Iniciamos CreateLocationRequestSmallD"),0);
 BA.debugLineNum = 444;BA.debugLine="Dim lr As LocationRequest";
Debug.ShouldStop(134217728);
_lr = RemoteObject.createNew ("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");Debug.locals.put("lr", _lr);
 BA.debugLineNum = 445;BA.debugLine="lr.Initialize";
Debug.ShouldStop(268435456);
_lr.runVoidMethod ("Initialize");
 BA.debugLineNum = 446;BA.debugLine="lr.SetInterval(2000) 'Intervalo deseado para actu";
Debug.ShouldStop(536870912);
_lr.runVoidMethod ("SetInterval",(Object)(BA.numberCast(long.class, 2000)));
 BA.debugLineNum = 447;BA.debugLine="lr.SetFastestInterval(lr.GetInterval / 2) 'Interv";
Debug.ShouldStop(1073741824);
_lr.runVoidMethod ("SetFastestInterval",(Object)(BA.numberCast(long.class, RemoteObject.solve(new RemoteObject[] {_lr.runMethod(true,"GetInterval"),RemoteObject.createImmutable(2)}, "/",0, 0))));
 BA.debugLineNum = 448;BA.debugLine="lr.setNumUpdates(2) 'Solicitamos solo x actualiza";
Debug.ShouldStop(-2147483648);
_lr.runVoidMethod ("SetNumUpdates",(Object)(BA.numberCast(int.class, 2)));
 BA.debugLineNum = 449;BA.debugLine="lr.SetSmallestDisplacement(3) 'Solo registra camb";
Debug.ShouldStop(1);
_lr.runVoidMethod ("SetSmallestDisplacement",(Object)(BA.numberCast(float.class, 3)));
 BA.debugLineNum = 450;BA.debugLine="lr.SetPriority(lr.Priority.PRIORITY_HIGH_ACCURACY";
Debug.ShouldStop(2);
_lr.runVoidMethod ("SetPriority",(Object)(_lr.getField(false,"Priority").getField(true,"PRIORITY_HIGH_ACCURACY")));
 BA.debugLineNum = 451;BA.debugLine="actualLR=lr";
Debug.ShouldStop(4);
tracker._actuallr = _lr;
 BA.debugLineNum = 452;BA.debugLine="Return lr";
Debug.ShouldStop(8);
if (true) return _lr;
 BA.debugLineNum = 453;BA.debugLine="End Sub";
Debug.ShouldStop(16);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _createnotification(RemoteObject _body) throws Exception{
try {
		Debug.PushSubsStack("CreateNotification (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,534);
if (RapidSub.canDelegate("createnotification")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","createnotification", _body);}
RemoteObject _notification = RemoteObject.declareNull("anywheresoftware.b4a.objects.NotificationWrapper");
Debug.locals.put("Body", _body);
 BA.debugLineNum = 534;BA.debugLine="Sub CreateNotification (Body As String) As Notific";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 535;BA.debugLine="Dim notification As Notification";
Debug.ShouldStop(4194304);
_notification = RemoteObject.createNew ("anywheresoftware.b4a.objects.NotificationWrapper");Debug.locals.put("notification", _notification);
 BA.debugLineNum = 536;BA.debugLine="notification.Initialize2(notification.IMPORTANCE_";
Debug.ShouldStop(8388608);
_notification.runVoidMethod ("Initialize2",(Object)(_notification.getField(true,"IMPORTANCE_LOW")));
 BA.debugLineNum = 537;BA.debugLine="notification.Icon = \"icon\"";
Debug.ShouldStop(16777216);
_notification.runVoidMethod ("setIcon",BA.ObjectToString("icon"));
 BA.debugLineNum = 538;BA.debugLine="notification.SetInfo(\"GUNA\", Body, Main)";
Debug.ShouldStop(33554432);
_notification.runVoidMethod ("SetInfoNew",tracker.processBA,(Object)(BA.ObjectToCharSequence("GUNA")),(Object)(BA.ObjectToCharSequence(_body)),(Object)((tracker.mostCurrent._main.getObject())));
 BA.debugLineNum = 539;BA.debugLine="Return notification";
Debug.ShouldStop(67108864);
if (true) return _notification;
 BA.debugLineNum = 540;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _dameultimaubicacionconocida() throws Exception{
try {
		Debug.PushSubsStack("dameUltimaUbicacionConocida (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,469);
if (RapidSub.canDelegate("dameultimaubicacionconocida")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","dameultimaubicacionconocida");}
RemoteObject _coords = RemoteObject.createImmutable("");
 BA.debugLineNum = 469;BA.debugLine="Sub dameUltimaUbicacionConocida";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 470;BA.debugLine="If FLP.GetLastKnownLocation.IsInitialized Then 'M";
Debug.ShouldStop(2097152);
if (tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 472;BA.debugLine="If Starter.Logger Then LogColor($\"Mandamos UUC \"";
Debug.ShouldStop(8388608);
if (tracker.mostCurrent._starter._logger /*RemoteObject*/ .<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072548355",(RemoteObject.concat(RemoteObject.createImmutable("Mandamos UUC \""),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((tracker.mostCurrent._subs.runMethod(true,"_fechakmt" /*RemoteObject*/ ,tracker.processBA,(Object)(BA.NumberToString(tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getTime"))))))),RemoteObject.createImmutable("|Acc:"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.2")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getAccuracy")))),RemoteObject.createImmutable("|"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.8")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLatitude")))),RemoteObject.createImmutable("|"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.8")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLongitude")))),RemoteObject.createImmutable("|Spd:"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.2")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getSpeed")))),RemoteObject.createImmutable("|"))),tracker.mostCurrent.__c.getField(false,"Colors").runMethod(true,"RGB",(Object)(BA.numberCast(int.class, 255)),(Object)(BA.numberCast(int.class, 112)),(Object)(BA.numberCast(int.class, 35))));};
 BA.debugLineNum = 473;BA.debugLine="Dim coords As String = FLP.GetLastKnownLocation.";
Debug.ShouldStop(16777216);
_coords = RemoteObject.concat(tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLatitude"),RemoteObject.createImmutable(","),tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLongitude"),RemoteObject.createImmutable(","),_formatofecha(BA.NumberToString(tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getTime"))));Debug.locals.put("coords", _coords);Debug.locals.put("coords", _coords);
 };
 BA.debugLineNum = 477;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _flp_connectionfailed(RemoteObject _connectionresult1) throws Exception{
try {
		Debug.PushSubsStack("flp_ConnectionFailed (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,360);
if (RapidSub.canDelegate("flp_connectionfailed")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","flp_connectionfailed", _connectionresult1);}
Debug.locals.put("ConnectionResult1", _connectionresult1);
 BA.debugLineNum = 360;BA.debugLine="Sub flp_ConnectionFailed(ConnectionResult1 As Int)";
Debug.ShouldStop(128);
 BA.debugLineNum = 361;BA.debugLine="Log(\"Failed to connect to location provider\")";
Debug.ShouldStop(256);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","071958529",RemoteObject.createImmutable("Failed to connect to location provider"),0);
 BA.debugLineNum = 362;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _flp_connectionsuccess() throws Exception{
try {
		Debug.PushSubsStack("flp_ConnectionSuccess (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,355);
if (RapidSub.canDelegate("flp_connectionsuccess")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","flp_connectionsuccess");}
 BA.debugLineNum = 355;BA.debugLine="Sub flp_ConnectionSuccess";
Debug.ShouldStop(4);
 BA.debugLineNum = 358;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _flp_locationchanged(RemoteObject _location1) throws Exception{
try {
		Debug.PushSubsStack("flp_LocationChanged (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,487);
if (RapidSub.canDelegate("flp_locationchanged")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","flp_locationchanged", _location1);}
RemoteObject _sdate = RemoteObject.createImmutable("");
RemoteObject _stime = RemoteObject.createImmutable("");
RemoteObject _coords = RemoteObject.createImmutable("");
Debug.locals.put("Location1", _location1);
 BA.debugLineNum = 487;BA.debugLine="Sub flp_LocationChanged (Location1 As Location)";
Debug.ShouldStop(64);
 BA.debugLineNum = 488;BA.debugLine="Log($\"Loc changed:${Location1.Longitude},${Locati";
Debug.ShouldStop(128);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072679425",(RemoteObject.concat(RemoteObject.createImmutable("Loc changed:"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_location1.runMethod(true,"getLongitude")))),RemoteObject.createImmutable(","),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_location1.runMethod(true,"getLatitude")))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 490;BA.debugLine="B4XPages.MainPage.lat_gps = Location1.Latitude";
Debug.ShouldStop(512);
tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).setField ("_lat_gps" /*RemoteObject*/ ,BA.NumberToString(_location1.runMethod(true,"getLatitude")));
 BA.debugLineNum = 491;BA.debugLine="B4XPages.MainPage.lon_gps = Location1.Longitude";
Debug.ShouldStop(1024);
tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).setField ("_lon_gps" /*RemoteObject*/ ,BA.NumberToString(_location1.runMethod(true,"getLongitude")));
 BA.debugLineNum = 492;BA.debugLine="UUGCoords = Location1";
Debug.ShouldStop(2048);
tracker._uugcoords = _location1;
 BA.debugLineNum = 500;BA.debugLine="Dim sDate,sTime As String";
Debug.ShouldStop(524288);
_sdate = RemoteObject.createImmutable("");Debug.locals.put("sDate", _sdate);
_stime = RemoteObject.createImmutable("");Debug.locals.put("sTime", _stime);
 BA.debugLineNum = 501;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(1048576);
tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 502;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
Debug.ShouldStop(2097152);
_sdate = tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getNow")));Debug.locals.put("sDate", _sdate);
 BA.debugLineNum = 503;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(4194304);
_stime = tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getNow")));Debug.locals.put("sTime", _stime);
 BA.debugLineNum = 504;BA.debugLine="If Not(B4XPages.MainPage.skmt.IsInitialized) Then";
Debug.ShouldStop(8388608);
if (tracker.mostCurrent.__c.runMethod(true,"Not",(Object)(tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(true,"IsInitialized"))).<Boolean>get().booleanValue()) { 
tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("Initialize",(Object)(tracker.mostCurrent._starter._ruta /*RemoteObject*/ ),(Object)(BA.ObjectToString("kmt.db")),(Object)(tracker.mostCurrent.__c.getField(true,"True")));};
 BA.debugLineNum = 505;BA.debugLine="Try";
Debug.ShouldStop(16777216);
try { BA.debugLineNum = 506;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT INT";
Debug.ShouldStop(33554432);
tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO  HIST_GPS (HGDATE, HGLAT, HGLON) VALUES(?,?,?) ")),(Object)(tracker.mostCurrent.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {3},new Object[] {(RemoteObject.concat(_sdate,_stime)),(tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_lat_gps" /*RemoteObject*/ )),(tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_lon_gps" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 507;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"DELETE FROM";
Debug.ShouldStop(67108864);
tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("DELETE FROM HIST_GPS")));
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e14) {
			BA.rdebugUtils.runVoidMethod("setLastException",tracker.processBA, e14.toString()); BA.debugLineNum = 509;BA.debugLine="LogColor(LastException, Colors.Red)";
Debug.ShouldStop(268435456);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072679446",BA.ObjectToString(tracker.mostCurrent.__c.runMethod(false,"LastException",tracker.processBA)),tracker.mostCurrent.__c.getField(false,"Colors").getField(true,"Red"));
 };
 BA.debugLineNum = 512;BA.debugLine="Dim coords As String = Location1.Latitude&\",\"&Loc";
Debug.ShouldStop(-2147483648);
_coords = RemoteObject.concat(_location1.runMethod(true,"getLatitude"),RemoteObject.createImmutable(","),_location1.runMethod(true,"getLongitude"),RemoteObject.createImmutable(","),_formatofecha(BA.NumberToString(_location1.runMethod(true,"getTime"))));Debug.locals.put("coords", _coords);Debug.locals.put("coords", _coords);
 BA.debugLineNum = 517;BA.debugLine="If Location1.Accuracy < 100 Then";
Debug.ShouldStop(16);
if (RemoteObject.solveBoolean("<",_location1.runMethod(true,"getAccuracy"),BA.numberCast(double.class, 100))) { 
 };
 BA.debugLineNum = 521;BA.debugLine="CallSub2(Starter, \"GPS_LocationChanged\", Location";
Debug.ShouldStop(256);
tracker.mostCurrent.__c.runMethodAndSync(false,"CallSubNew2",tracker.processBA,(Object)((tracker.mostCurrent._starter.getObject())),(Object)(BA.ObjectToString("GPS_LocationChanged")),(Object)((_location1)));
 BA.debugLineNum = 525;BA.debugLine="If B4XPages.MainPage.cliente.IsInitialized And St";
Debug.ShouldStop(4096);
if (RemoteObject.solveBoolean(".",tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(false,"_cliente" /*RemoteObject*/ ).runMethod(true,"IsInitialized" /*RemoteObject*/ )) && RemoteObject.solveBoolean(".",tracker.mostCurrent._starter._encliente /*RemoteObject*/ )) { 
 BA.debugLineNum = 526;BA.debugLine="CallSub2(B4XPages.GetPage(\"Cliente\"), \"GPS_Locat";
Debug.ShouldStop(8192);
tracker.mostCurrent.__c.runMethodAndSync(false,"CallSubNew2",tracker.processBA,(Object)(tracker.mostCurrent._b4xpages.runMethod(false,"_getpage" /*RemoteObject*/ ,tracker.processBA,(Object)(RemoteObject.createImmutable("Cliente")))),(Object)(BA.ObjectToString("GPS_LocationChanged")),(Object)((_location1)));
 };
 BA.debugLineNum = 528;BA.debugLine="If B4XPages.MainPage.nuevoCliente.IsInitialized T";
Debug.ShouldStop(32768);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(false,"_nuevocliente" /*RemoteObject*/ ).runMethod(true,"IsInitialized" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 529;BA.debugLine="CallSub2(B4XPages.GetPage(\"nuevocliente\"), \"GPS_";
Debug.ShouldStop(65536);
tracker.mostCurrent.__c.runMethodAndSync(false,"CallSubNew2",tracker.processBA,(Object)(tracker.mostCurrent._b4xpages.runMethod(false,"_getpage" /*RemoteObject*/ ,tracker.processBA,(Object)(RemoteObject.createImmutable("nuevocliente")))),(Object)(BA.ObjectToString("GPS_LocationChanged")),(Object)((_location1)));
 };
 BA.debugLineNum = 532;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _formatofecha(RemoteObject _fecha) throws Exception{
try {
		Debug.PushSubsStack("formatoFecha (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,550);
if (RapidSub.canDelegate("formatofecha")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","formatofecha", _fecha);}
RemoteObject _origformat = RemoteObject.createImmutable("");
RemoteObject _lastupdate = RemoteObject.createImmutable("");
Debug.locals.put("fecha", _fecha);
 BA.debugLineNum = 550;BA.debugLine="Sub formatoFecha(fecha As String) As String 'Convi";
Debug.ShouldStop(32);
 BA.debugLineNum = 552;BA.debugLine="Dim OrigFormat As String = DateTime.DateFormat  '";
Debug.ShouldStop(128);
_origformat = tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getDateFormat");Debug.locals.put("OrigFormat", _origformat);Debug.locals.put("OrigFormat", _origformat);
 BA.debugLineNum = 553;BA.debugLine="DateTime.DateFormat=\"yyMMddHHmmss\"";
Debug.ShouldStop(256);
tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("yyMMddHHmmss"));
 BA.debugLineNum = 554;BA.debugLine="Dim lastUpdate As String=DateTime.Date(fecha)";
Debug.ShouldStop(512);
_lastupdate = tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(BA.numberCast(long.class, _fecha)));Debug.locals.put("lastUpdate", _lastupdate);Debug.locals.put("lastUpdate", _lastupdate);
 BA.debugLineNum = 555;BA.debugLine="DateTime.DateFormat=OrigFormat  'return to orig d";
Debug.ShouldStop(1024);
tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",_origformat);
 BA.debugLineNum = 557;BA.debugLine="Return lastUpdate";
Debug.ShouldStop(4096);
if (true) return _lastupdate;
 BA.debugLineNum = 558;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 334;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 335;BA.debugLine="Private nid As Int = 51042";
tracker._nid = BA.numberCast(int.class, 51042);
 //BA.debugLineNum = 336;BA.debugLine="Private Tracking As Boolean";
tracker._tracking = RemoteObject.createImmutable(false);
 //BA.debugLineNum = 337;BA.debugLine="Private lock As PhoneWakeState";
tracker._lock = RemoteObject.createNew ("anywheresoftware.b4a.phone.Phone.PhoneWakeState");
 //BA.debugLineNum = 339;BA.debugLine="Public FLP As FusedLocationProvider";
tracker._flp = RemoteObject.createNew ("uk.co.martinpearman.b4a.fusedlocationprovider.FusedLocationProviderWrapper");
 //BA.debugLineNum = 340;BA.debugLine="Dim actualLR As LocationRequest";
tracker._actuallr = RemoteObject.createNew ("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");
 //BA.debugLineNum = 341;BA.debugLine="Private flpStarted As Boolean";
tracker._flpstarted = RemoteObject.createImmutable(false);
 //BA.debugLineNum = 343;BA.debugLine="Dim UUGCoords As Location 'Ultima Ubicacion Guard";
tracker._uugcoords = RemoteObject.createNew ("anywheresoftware.b4a.gps.LocationWrapper");
 //BA.debugLineNum = 344;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _revisaflp() throws Exception{
try {
		Debug.PushSubsStack("revisaFLP (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,561);
if (RapidSub.canDelegate("revisaflp")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","revisaflp");}
RemoteObject _todobienflp = RemoteObject.createImmutable(false);
 BA.debugLineNum = 561;BA.debugLine="Sub revisaFLP 'ignore";
Debug.ShouldStop(65536);
 BA.debugLineNum = 562;BA.debugLine="LogColor(\"**** **** Revisamos FLP **** ****\", Col";
Debug.ShouldStop(131072);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072941569",BA.ObjectToString("**** **** Revisamos FLP **** ****"),tracker.mostCurrent.__c.getField(false,"Colors").runMethod(true,"RGB",(Object)(BA.numberCast(int.class, 78)),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 227))));
 BA.debugLineNum = 563;BA.debugLine="Private todoBienFLP As Boolean = True";
Debug.ShouldStop(262144);
_todobienflp = tracker.mostCurrent.__c.getField(true,"True");Debug.locals.put("todoBienFLP", _todobienflp);Debug.locals.put("todoBienFLP", _todobienflp);
 BA.debugLineNum = 564;BA.debugLine="Try";
Debug.ShouldStop(524288);
try { BA.debugLineNum = 565;BA.debugLine="If Not(FLP.IsInitialized) Then";
Debug.ShouldStop(1048576);
if (tracker.mostCurrent.__c.runMethod(true,"Not",(Object)(tracker._flp.runMethod(true,"IsInitialized"))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 566;BA.debugLine="Subs.log2DB(\"revisaFLP: No esta inicializado ..";
Debug.ShouldStop(2097152);
tracker.mostCurrent._subs.runVoidMethod ("_log2db" /*RemoteObject*/ ,tracker.processBA,(Object)(RemoteObject.createImmutable("revisaFLP: No esta inicializado ... 'Reinicializando FLP'")));
 BA.debugLineNum = 567;BA.debugLine="FLP.Initialize(\"flp\")";
Debug.ShouldStop(4194304);
tracker._flp.runVoidMethod ("Initialize",tracker.processBA,(Object)(RemoteObject.createImmutable("flp")));
 BA.debugLineNum = 568;BA.debugLine="todoBienFLP = False";
Debug.ShouldStop(8388608);
_todobienflp = tracker.mostCurrent.__c.getField(true,"False");Debug.locals.put("todoBienFLP", _todobienflp);
 };
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e10) {
			BA.rdebugUtils.runVoidMethod("setLastException",tracker.processBA, e10.toString()); BA.debugLineNum = 571;BA.debugLine="LogColor(\"If Not(Tracker.FLP.IsInitialized) -->";
Debug.ShouldStop(67108864);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072941578",RemoteObject.concat(RemoteObject.createImmutable("If Not(Tracker.FLP.IsInitialized) --> "),tracker.mostCurrent.__c.runMethod(false,"LastException",tracker.processBA)),tracker.mostCurrent.__c.getField(false,"Colors").getField(true,"Red"));
 };
 BA.debugLineNum = 573;BA.debugLine="Try";
Debug.ShouldStop(268435456);
try { BA.debugLineNum = 574;BA.debugLine="If FLP.IsInitialized Then";
Debug.ShouldStop(536870912);
if (tracker._flp.runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 575;BA.debugLine="Try";
Debug.ShouldStop(1073741824);
try { BA.debugLineNum = 576;BA.debugLine="If Not(FLP.IsConnected) Then";
Debug.ShouldStop(-2147483648);
if (tracker.mostCurrent.__c.runMethod(true,"Not",(Object)(tracker._flp.runMethod(true,"IsConnected"))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 577;BA.debugLine="Subs.log2DB(\"revisaFLP: No esta conectado ...";
Debug.ShouldStop(1);
tracker.mostCurrent._subs.runVoidMethod ("_log2db" /*RemoteObject*/ ,tracker.processBA,(Object)(RemoteObject.createImmutable("revisaFLP: No esta conectado ... 'Reconectando FLP'")));
 BA.debugLineNum = 579;BA.debugLine="StartFLP";
Debug.ShouldStop(4);
_startflp();
 BA.debugLineNum = 580;BA.debugLine="todoBienFLP = False";
Debug.ShouldStop(8);
_todobienflp = tracker.mostCurrent.__c.getField(true,"False");Debug.locals.put("todoBienFLP", _todobienflp);
 };
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e21) {
			BA.rdebugUtils.runVoidMethod("setLastException",tracker.processBA, e21.toString()); BA.debugLineNum = 583;BA.debugLine="LogColor(\"If Not(Tracker.FLP.IsConnected) -->";
Debug.ShouldStop(64);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072941590",RemoteObject.concat(RemoteObject.createImmutable("If Not(Tracker.FLP.IsConnected) --> "),tracker.mostCurrent.__c.runMethod(false,"LastException",tracker.processBA)),tracker.mostCurrent.__c.getField(false,"Colors").getField(true,"Red"));
 };
 BA.debugLineNum = 585;BA.debugLine="Try";
Debug.ShouldStop(256);
try { BA.debugLineNum = 586;BA.debugLine="If FLP.IsConnected And _ 					FLP.GetLastKnown";
Debug.ShouldStop(512);
if (RemoteObject.solveBoolean(".",tracker._flp.runMethod(true,"IsConnected")) && RemoteObject.solveBoolean(".",tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"IsInitialized")) && RemoteObject.solveBoolean(">",tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"DistanceTo",(Object)((tracker._uugcoords.getObject()))),BA.numberCast(double.class, 500))) { 
 BA.debugLineNum = 589;BA.debugLine="Subs.log2DB(\"revisaFLP: 'No se esta actualiza";
Debug.ShouldStop(4096);
tracker.mostCurrent._subs.runVoidMethod ("_log2db" /*RemoteObject*/ ,tracker.processBA,(Object)(RemoteObject.createImmutable("revisaFLP: 'No se esta actualizando, lo reiniciamos ...'")));
 BA.debugLineNum = 590;BA.debugLine="StartService(Me)";
Debug.ShouldStop(8192);
tracker.mostCurrent.__c.runVoidMethod ("StartService",tracker.processBA,(Object)(tracker.getObject()));
 BA.debugLineNum = 591;BA.debugLine="todoBienFLP = False";
Debug.ShouldStop(16384);
_todobienflp = tracker.mostCurrent.__c.getField(true,"False");Debug.locals.put("todoBienFLP", _todobienflp);
 };
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e30) {
			BA.rdebugUtils.runVoidMethod("setLastException",tracker.processBA, e30.toString()); BA.debugLineNum = 594;BA.debugLine="LogColor(\"If FLP.IsConnectctd and FLP.getLKL.I";
Debug.ShouldStop(131072);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072941601",RemoteObject.concat(RemoteObject.createImmutable("If FLP.IsConnectctd and FLP.getLKL.IsInitialized --> "),tracker.mostCurrent.__c.runMethod(false,"LastException",tracker.processBA)),tracker.mostCurrent.__c.getField(false,"Colors").getField(true,"Red"));
 };
 };
 BA.debugLineNum = 597;BA.debugLine="If todoBienFLP Then LogColor(\" +++ +++ Sin error";
Debug.ShouldStop(1048576);
if (_todobienflp.<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072941604",BA.ObjectToString(" +++ +++ Sin errores en FLP"),tracker.mostCurrent.__c.getField(false,"Colors").getField(true,"Green"));};
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e35) {
			BA.rdebugUtils.runVoidMethod("setLastException",tracker.processBA, e35.toString()); BA.debugLineNum = 599;BA.debugLine="LogColor(\"If Tracker.FLP.IsInitialized --> \"&Las";
Debug.ShouldStop(4194304);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072941606",RemoteObject.concat(RemoteObject.createImmutable("If Tracker.FLP.IsInitialized --> "),tracker.mostCurrent.__c.runMethod(false,"LastException",tracker.processBA)),tracker.mostCurrent.__c.getField(false,"Colors").getField(true,"Red"));
 };
 BA.debugLineNum = 602;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _revisauug() throws Exception{
try {
		Debug.PushSubsStack("revisaUUG (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,606);
if (RapidSub.canDelegate("revisauug")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","revisauug");}
RemoteObject _daa = RemoteObject.createImmutable(0);
 BA.debugLineNum = 606;BA.debugLine="Sub revisaUUG 'ignore";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 607;BA.debugLine="Try";
Debug.ShouldStop(1073741824);
try { BA.debugLineNum = 609;BA.debugLine="If FLP.IsInitialized And FLP.IsConnected Then";
Debug.ShouldStop(1);
if (RemoteObject.solveBoolean(".",tracker._flp.runMethod(true,"IsInitialized")) && RemoteObject.solveBoolean(".",tracker._flp.runMethod(true,"IsConnected"))) { 
 BA.debugLineNum = 610;BA.debugLine="Try";
Debug.ShouldStop(2);
try { BA.debugLineNum = 611;BA.debugLine="If FLP.GetLastKnownLocation.IsInitialized Then";
Debug.ShouldStop(4);
if (tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 613;BA.debugLine="Dim daa As Int = UUGCoords.DistanceTo(FLP.Get";
Debug.ShouldStop(16);
_daa = BA.numberCast(int.class, tracker._uugcoords.runMethod(true,"DistanceTo",(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").getObject()))));Debug.locals.put("daa", _daa);Debug.locals.put("daa", _daa);
 BA.debugLineNum = 614;BA.debugLine="If Starter.Logger Then LogColor($\"**** UUC \"$";
Debug.ShouldStop(32);
if (tracker.mostCurrent._starter._logger /*RemoteObject*/ .<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","073007112",(RemoteObject.concat(RemoteObject.createImmutable("**** UUC \""),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((tracker.mostCurrent._subs.runMethod(true,"_fechakmt" /*RemoteObject*/ ,tracker.processBA,(Object)(BA.NumberToString(tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getTime"))))))),RemoteObject.createImmutable("|"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.2")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getAccuracy")))),RemoteObject.createImmutable("|"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.8")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLatitude")))),RemoteObject.createImmutable("|"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.8")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLongitude")))),RemoteObject.createImmutable("|"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.2")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getSpeed")))),RemoteObject.createImmutable("|"))),tracker.mostCurrent.__c.getField(false,"Colors").runMethod(true,"RGB",(Object)(BA.numberCast(int.class, 255)),(Object)(BA.numberCast(int.class, 112)),(Object)(BA.numberCast(int.class, 35))));};
 BA.debugLineNum = 615;BA.debugLine="If daa > 40 And FLP.GetLastKnownLocation.Accu";
Debug.ShouldStop(64);
if (RemoteObject.solveBoolean(">",_daa,BA.numberCast(double.class, 40)) && RemoteObject.solveBoolean("<",tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getAccuracy"),BA.numberCast(double.class, 35))) { 
 BA.debugLineNum = 616;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT";
Debug.ShouldStop(128);
tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO RUTA_GPS(fecha, lat, lon) VALUES (?,?,?)")),(Object)(tracker.mostCurrent.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {3},new Object[] {(tracker.mostCurrent._subs.runMethod(true,"_fechakmt" /*RemoteObject*/ ,tracker.processBA,(Object)(BA.NumberToString(tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getTime"))))),(tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLatitude")),(tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLongitude"))})))));
 BA.debugLineNum = 617;BA.debugLine="If Starter.Logger Then Log(\"++++ Distancia a";
Debug.ShouldStop(256);
if (tracker.mostCurrent._starter._logger /*RemoteObject*/ .<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","073007115",RemoteObject.concat(RemoteObject.createImmutable("++++ Distancia a anterior="),_daa,RemoteObject.createImmutable("|"),RemoteObject.createImmutable("Precision="),tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getAccuracy")),0);};
 };
 BA.debugLineNum = 619;BA.debugLine="UUGCoords = FLP.GetLastKnownLocation";
Debug.ShouldStop(1024);
tracker._uugcoords = tracker._flp.runMethod(false,"GetLastKnownLocation");
 };
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e14) {
			BA.rdebugUtils.runVoidMethod("setLastException",tracker.processBA, e14.toString()); BA.debugLineNum = 622;BA.debugLine="LogColor(\"FLP.GetLastKnownLocation.IsInitializ";
Debug.ShouldStop(8192);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","073007120",RemoteObject.concat(RemoteObject.createImmutable("FLP.GetLastKnownLocation.IsInitialized --> "),tracker.mostCurrent.__c.runMethod(false,"LastException",tracker.processBA)),tracker.mostCurrent.__c.getField(false,"Colors").getField(true,"Red"));
 };
 }else {
 BA.debugLineNum = 625;BA.debugLine="Log(\"StartFLP\")";
Debug.ShouldStop(65536);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","073007123",RemoteObject.createImmutable("StartFLP"),0);
 BA.debugLineNum = 626;BA.debugLine="StartFLP";
Debug.ShouldStop(131072);
_startflp();
 };
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e21) {
			BA.rdebugUtils.runVoidMethod("setLastException",tracker.processBA, e21.toString()); BA.debugLineNum = 629;BA.debugLine="LogColor(\"If FLP.IsInitialized --> \"&LastExcepti";
Debug.ShouldStop(1048576);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","073007127",RemoteObject.concat(RemoteObject.createImmutable("If FLP.IsInitialized --> "),tracker.mostCurrent.__c.runMethod(false,"LastException",tracker.processBA)),tracker.mostCurrent.__c.getField(false,"Colors").getField(true,"Red"));
 };
 BA.debugLineNum = 631;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_create() throws Exception{
try {
		Debug.PushSubsStack("Service_Create (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,346);
if (RapidSub.canDelegate("service_create")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","service_create");}
 BA.debugLineNum = 346;BA.debugLine="Sub Service_Create";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 347;BA.debugLine="Service.AutomaticForegroundMode = Service.AUTOMAT";
Debug.ShouldStop(67108864);
tracker.mostCurrent._service.setField ("AutomaticForegroundMode",tracker.mostCurrent._service.getField(true,"AUTOMATIC_FOREGROUND_NEVER"));
 BA.debugLineNum = 349;BA.debugLine="FLP.Initialize(\"flp\")";
Debug.ShouldStop(268435456);
tracker._flp.runVoidMethod ("Initialize",tracker.processBA,(Object)(RemoteObject.createImmutable("flp")));
 BA.debugLineNum = 350;BA.debugLine="FLP.Connect";
Debug.ShouldStop(536870912);
tracker._flp.runVoidMethod ("Connect");
 BA.debugLineNum = 351;BA.debugLine="lock.PartialLock";
Debug.ShouldStop(1073741824);
tracker._lock.runVoidMethod ("PartialLock",tracker.processBA);
 BA.debugLineNum = 352;BA.debugLine="StartFLP";
Debug.ShouldStop(-2147483648);
_startflp();
 BA.debugLineNum = 353;BA.debugLine="End Sub";
Debug.ShouldStop(1);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_destroy() throws Exception{
try {
		Debug.PushSubsStack("Service_Destroy (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,542);
if (RapidSub.canDelegate("service_destroy")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","service_destroy");}
 BA.debugLineNum = 542;BA.debugLine="Sub Service_Destroy";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 543;BA.debugLine="If Tracking Then";
Debug.ShouldStop(1073741824);
if (tracker._tracking.<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 544;BA.debugLine="StopFLP";
Debug.ShouldStop(-2147483648);
_stopflp();
 };
 BA.debugLineNum = 546;BA.debugLine="Tracking = False";
Debug.ShouldStop(2);
tracker._tracking = tracker.mostCurrent.__c.getField(true,"False");
 BA.debugLineNum = 547;BA.debugLine="lock.ReleasePartialLock";
Debug.ShouldStop(4);
tracker._lock.runVoidMethod ("ReleasePartialLock");
 BA.debugLineNum = 548;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_start(RemoteObject _startingintent) throws Exception{
try {
		Debug.PushSubsStack("Service_Start (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,364);
if (RapidSub.canDelegate("service_start")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","service_start", _startingintent);}
Debug.locals.put("StartingIntent", _startingintent);
 BA.debugLineNum = 364;BA.debugLine="Sub Service_Start (StartingIntent As Intent)";
Debug.ShouldStop(2048);
 BA.debugLineNum = 366;BA.debugLine="Service.StopAutomaticForeground";
Debug.ShouldStop(8192);
tracker.mostCurrent._service.runVoidMethod ("StopAutomaticForeground");
 BA.debugLineNum = 367;BA.debugLine="Service.StartForeground(nid, CreateNotification(\"";
Debug.ShouldStop(16384);
tracker.mostCurrent._service.runVoidMethod ("StartForeground",(Object)(tracker._nid),(Object)((_createnotification(RemoteObject.createImmutable("...")).getObject())));
 BA.debugLineNum = 368;BA.debugLine="Track";
Debug.ShouldStop(32768);
_track();
 BA.debugLineNum = 369;BA.debugLine="StartServiceAt(Me, DateTime.Now + 5 * DateTime.Ti";
Debug.ShouldStop(65536);
tracker.mostCurrent.__c.runVoidMethod ("StartServiceAt",tracker.processBA,(Object)(tracker.getObject()),(Object)(RemoteObject.solve(new RemoteObject[] {tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getNow"),RemoteObject.createImmutable(5),tracker.mostCurrent.__c.getField(false,"DateTime").getField(true,"TicksPerMinute")}, "+*",1, 2)),(Object)(tracker.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 370;BA.debugLine="FLP.GetLastKnownLocation.Initialize";
Debug.ShouldStop(131072);
tracker._flp.runMethod(false,"GetLastKnownLocation").runVoidMethod ("Initialize");
 BA.debugLineNum = 371;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _startflp() throws Exception{
try {
		Debug.PushSubsStack("StartFLP (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,389);
if (RapidSub.canDelegate("startflp")) { gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","startflp"); return;}
ResumableSub_StartFLP rsub = new ResumableSub_StartFLP(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_StartFLP extends BA.ResumableSub {
public ResumableSub_StartFLP(gunav2.keymon.com.mx.tracker parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
gunav2.keymon.com.mx.tracker parent;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("StartFLP (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,389);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 390;BA.debugLine="Log(\"StartFLP - flpStarted=\"&flpStarted)";
Debug.ShouldStop(32);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","072155137",RemoteObject.concat(RemoteObject.createImmutable("StartFLP - flpStarted="),parent._flpstarted),0);
 BA.debugLineNum = 391;BA.debugLine="Do While FLP.IsConnected = False";
Debug.ShouldStop(64);
if (true) break;

case 1:
//do while
this.state = 4;
while (RemoteObject.solveBoolean("=",parent._flp.runMethod(true,"IsConnected"),parent.mostCurrent.__c.getField(true,"False"))) {
this.state = 3;
if (true) break;
}
if (true) break;

case 3:
//C
this.state = 1;
 BA.debugLineNum = 392;BA.debugLine="Sleep(500)";
Debug.ShouldStop(128);
parent.mostCurrent.__c.runVoidMethod ("Sleep",tracker.processBA,anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "tracker", "startflp"),BA.numberCast(int.class, 500));
this.state = 5;
return;
case 5:
//C
this.state = 1;
;
 if (true) break;

case 4:
//C
this.state = -1;
;
 BA.debugLineNum = 397;BA.debugLine="FLP.RequestLocationUpdates(CreateLocationRequest)";
Debug.ShouldStop(4096);
parent._flp.runVoidMethod ("RequestLocationUpdates",(Object)((_createlocationrequest().getObject())));
 BA.debugLineNum = 400;BA.debugLine="flpStarted = True";
Debug.ShouldStop(32768);
parent._flpstarted = parent.mostCurrent.__c.getField(true,"True");
 BA.debugLineNum = 402;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _startflp2() throws Exception{
try {
		Debug.PushSubsStack("StartFLP2 (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,404);
if (RapidSub.canDelegate("startflp2")) { gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","startflp2"); return;}
ResumableSub_StartFLP2 rsub = new ResumableSub_StartFLP2(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_StartFLP2 extends BA.ResumableSub {
public ResumableSub_StartFLP2(gunav2.keymon.com.mx.tracker parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
gunav2.keymon.com.mx.tracker parent;
RemoteObject _logger = RemoteObject.createImmutable(false);

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("StartFLP2 (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,404);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 405;BA.debugLine="Log(\"StartFLP2\")";
Debug.ShouldStop(1048576);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","072220673",RemoteObject.createImmutable("StartFLP2"),0);
 BA.debugLineNum = 406;BA.debugLine="Private logger As Boolean = True";
Debug.ShouldStop(2097152);
_logger = parent.mostCurrent.__c.getField(true,"True");Debug.locals.put("logger", _logger);Debug.locals.put("logger", _logger);
 BA.debugLineNum = 407;BA.debugLine="If logger Then Log(\"StartFLP2 - flpStarted=\"&flpS";
Debug.ShouldStop(4194304);
if (true) break;

case 1:
//if
this.state = 6;
if (_logger.<Boolean>get().booleanValue()) { 
this.state = 3;
;}if (true) break;

case 3:
//C
this.state = 6;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","072220675",RemoteObject.concat(RemoteObject.createImmutable("StartFLP2 - flpStarted="),parent._flpstarted),0);
if (true) break;

case 6:
//C
this.state = 7;
;
 BA.debugLineNum = 408;BA.debugLine="Do While FLP.IsConnected = False";
Debug.ShouldStop(8388608);
if (true) break;

case 7:
//do while
this.state = 16;
while (RemoteObject.solveBoolean("=",parent._flp.runMethod(true,"IsConnected"),parent.mostCurrent.__c.getField(true,"False"))) {
this.state = 9;
if (true) break;
}
if (true) break;

case 9:
//C
this.state = 10;
 BA.debugLineNum = 409;BA.debugLine="Sleep(500)";
Debug.ShouldStop(16777216);
parent.mostCurrent.__c.runVoidMethod ("Sleep",tracker.processBA,anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "tracker", "startflp2"),BA.numberCast(int.class, 500));
this.state = 23;
return;
case 23:
//C
this.state = 10;
;
 BA.debugLineNum = 410;BA.debugLine="If logger Then Log(\"kll - sleeping\")";
Debug.ShouldStop(33554432);
if (true) break;

case 10:
//if
this.state = 15;
if (_logger.<Boolean>get().booleanValue()) { 
this.state = 12;
;}if (true) break;

case 12:
//C
this.state = 15;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","072220678",RemoteObject.createImmutable("kll - sleeping"),0);
if (true) break;

case 15:
//C
this.state = 7;
;
 if (true) break;

case 16:
//C
this.state = 17;
;
 BA.debugLineNum = 412;BA.debugLine="dameUltimaUbicacionConocida 'Regresamos ultima ub";
Debug.ShouldStop(134217728);
_dameultimaubicacionconocida();
 BA.debugLineNum = 413;BA.debugLine="FLP.RequestLocationUpdates(CreateLocationRequest2";
Debug.ShouldStop(268435456);
parent._flp.runVoidMethod ("RequestLocationUpdates",(Object)((_createlocationrequest2().getObject())));
 BA.debugLineNum = 414;BA.debugLine="If logger Then LogColor(\"Buscamos ubicacion (movi";
Debug.ShouldStop(536870912);
if (true) break;

case 17:
//if
this.state = 22;
if (_logger.<Boolean>get().booleanValue()) { 
this.state = 19;
;}if (true) break;

case 19:
//C
this.state = 22;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","072220682",RemoteObject.concat(RemoteObject.createImmutable("Buscamos ubicacion (movimientoMinimo = "),parent._actuallr.runMethod(true,"GetSmallestDisplacement"),RemoteObject.createImmutable(")")),parent.mostCurrent.__c.getField(false,"Colors").getField(true,"Magenta"));
if (true) break;

case 22:
//C
this.state = -1;
;
 BA.debugLineNum = 416;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _startflpsmall() throws Exception{
try {
		Debug.PushSubsStack("StartFLPSmall (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,418);
if (RapidSub.canDelegate("startflpsmall")) { gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","startflpsmall"); return;}
ResumableSub_StartFLPSmall rsub = new ResumableSub_StartFLPSmall(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_StartFLPSmall extends BA.ResumableSub {
public ResumableSub_StartFLPSmall(gunav2.keymon.com.mx.tracker parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
gunav2.keymon.com.mx.tracker parent;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("StartFLPSmall (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,418);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 419;BA.debugLine="Log(\"StartFLPSmall - flpStarted=\"&flpStarted)";
Debug.ShouldStop(4);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","072286209",RemoteObject.concat(RemoteObject.createImmutable("StartFLPSmall - flpStarted="),parent._flpstarted),0);
 BA.debugLineNum = 420;BA.debugLine="Do While FLP.IsConnected = False";
Debug.ShouldStop(8);
if (true) break;

case 1:
//do while
this.state = 4;
while (RemoteObject.solveBoolean("=",parent._flp.runMethod(true,"IsConnected"),parent.mostCurrent.__c.getField(true,"False"))) {
this.state = 3;
if (true) break;
}
if (true) break;

case 3:
//C
this.state = 1;
 BA.debugLineNum = 421;BA.debugLine="Sleep(500)";
Debug.ShouldStop(16);
parent.mostCurrent.__c.runVoidMethod ("Sleep",tracker.processBA,anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "tracker", "startflpsmall"),BA.numberCast(int.class, 500));
this.state = 5;
return;
case 5:
//C
this.state = 1;
;
 BA.debugLineNum = 422;BA.debugLine="Log(\"sleeping\")";
Debug.ShouldStop(32);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","072286212",RemoteObject.createImmutable("sleeping"),0);
 if (true) break;

case 4:
//C
this.state = -1;
;
 BA.debugLineNum = 424;BA.debugLine="dameUltimaUbicacionConocida 'Regresamos ultima ub";
Debug.ShouldStop(128);
_dameultimaubicacionconocida();
 BA.debugLineNum = 425;BA.debugLine="FLP.RequestLocationUpdates(CreateLocationRequestS";
Debug.ShouldStop(256);
parent._flp.runVoidMethod ("RequestLocationUpdates",(Object)((_createlocationrequestsmalld().getObject())));
 BA.debugLineNum = 428;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _stopflp() throws Exception{
try {
		Debug.PushSubsStack("StopFLP (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,479);
if (RapidSub.canDelegate("stopflp")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","stopflp");}
 BA.debugLineNum = 479;BA.debugLine="Public Sub StopFLP";
Debug.ShouldStop(1073741824);
 BA.debugLineNum = 480;BA.debugLine="Log(\"StopFLP\")";
Debug.ShouldStop(-2147483648);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072613889",RemoteObject.createImmutable("StopFLP"),0);
 BA.debugLineNum = 481;BA.debugLine="If flpStarted Then";
Debug.ShouldStop(1);
if (tracker._flpstarted.<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 482;BA.debugLine="FLP.RemoveLocationUpdates  'Eliminamos todas las";
Debug.ShouldStop(2);
tracker._flp.runVoidMethod ("RemoveLocationUpdates");
 BA.debugLineNum = 483;BA.debugLine="flpStarted = False";
Debug.ShouldStop(4);
tracker._flpstarted = tracker.mostCurrent.__c.getField(true,"False");
 };
 BA.debugLineNum = 485;BA.debugLine="End Sub";
Debug.ShouldStop(16);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _track() throws Exception{
try {
		Debug.PushSubsStack("Track (tracker) ","tracker",13,tracker.processBA,tracker.mostCurrent,373);
if (RapidSub.canDelegate("track")) { return gunav2.keymon.com.mx.tracker.remoteMe.runUserSub(false, "tracker","track");}
 BA.debugLineNum = 373;BA.debugLine="Public Sub Track";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 374;BA.debugLine="Log(\"Inicia Track - Tracking : \"&Tracking)";
Debug.ShouldStop(2097152);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072089601",RemoteObject.concat(RemoteObject.createImmutable("Inicia Track - Tracking : "),tracker._tracking),0);
 BA.debugLineNum = 375;BA.debugLine="If Not(FLP.IsInitialized) Then FLP.Initialize(\"fl";
Debug.ShouldStop(4194304);
if (tracker.mostCurrent.__c.runMethod(true,"Not",(Object)(tracker._flp.runMethod(true,"IsInitialized"))).<Boolean>get().booleanValue()) { 
tracker._flp.runVoidMethod ("Initialize",tracker.processBA,(Object)(RemoteObject.createImmutable("flp")));};
 BA.debugLineNum = 376;BA.debugLine="If Not(FLP.IsConnected) Then FLP.Connect";
Debug.ShouldStop(8388608);
if (tracker.mostCurrent.__c.runMethod(true,"Not",(Object)(tracker._flp.runMethod(true,"IsConnected"))).<Boolean>get().booleanValue()) { 
tracker._flp.runVoidMethod ("Connect");};
 BA.debugLineNum = 377;BA.debugLine="If Tracking And actualLR.IsInitialized Then";
Debug.ShouldStop(16777216);
if (RemoteObject.solveBoolean(".",tracker._tracking) && RemoteObject.solveBoolean(".",tracker._actuallr.runMethod(true,"IsInitialized"))) { 
 BA.debugLineNum = 379;BA.debugLine="Return 'Si ya estamos \"rastreando\" no hacemos na";
Debug.ShouldStop(67108864);
if (true) return RemoteObject.createImmutable("");
 };
 BA.debugLineNum = 381;BA.debugLine="If Starter.rp.Check(Starter.rp.PERMISSION_ACCESS_";
Debug.ShouldStop(268435456);
if (RemoteObject.solveBoolean("=",tracker.mostCurrent._starter._rp /*RemoteObject*/ .runMethod(true,"Check",(Object)(tracker.mostCurrent._starter._rp /*RemoteObject*/ .getField(true,"PERMISSION_ACCESS_FINE_LOCATION"))),tracker.mostCurrent.__c.getField(true,"False"))) { 
 BA.debugLineNum = 382;BA.debugLine="Log(\"No permission\")";
Debug.ShouldStop(536870912);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","072089609",RemoteObject.createImmutable("No permission"),0);
 BA.debugLineNum = 383;BA.debugLine="Return";
Debug.ShouldStop(1073741824);
if (true) return RemoteObject.createImmutable("");
 };
 BA.debugLineNum = 385;BA.debugLine="StartFLP 'Iniciamos FusedLocationProvider";
Debug.ShouldStop(1);
_startflp();
 BA.debugLineNum = 386;BA.debugLine="Tracking = True";
Debug.ShouldStop(2);
tracker._tracking = tracker.mostCurrent.__c.getField(true,"True");
 BA.debugLineNum = 387;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}